osl::eval::ml::MajorGoldSilverAttacked< Opening > Class Template Reference

`#include <majorPiece.h>`

## Public Types

enum | { DIM = 32 }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static int | eval (const NumEffectState &state)
static int | index (const NumEffectState &state, Piece piece)
template<Ptype PTYPE>
static int | evalOne (const NumEffectState &state)

## Static Private Attributes

static CArray< int, 32 > | table

## Detailed Description

template<bool Opening>
class osl::eval::ml::MajorGoldSilverAttacked< Opening >

Definition at line 135 of file majorPiece.h.

## Member Enumeration Documentation

## anonymous enum

template<bool Opening>

anonymous enum

Enumerator
DIM |

Definition at line 138 of file majorPiece.h.

## Member Function Documentation

## eval()

template<bool Opening>

int osl::eval::ml::MajorGoldSilverAttacked< Opening >::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 180 of file majorPiece.cc.

References evalOne().

## evalOne()

template<bool Opening>
template<osl::Ptype PTYPE>

int osl::eval::ml::MajorGoldSilverAttacked< Opening >::evalOne | ( | const NumEffectState & | state | ) |

static

Definition at line 157 of file majorPiece.cc.

References osl::alt(), osl::BLACK, osl::NumEffectState::hasEffectAt(), index(), osl::Piece::isOnBoard(), osl::Piece::owner(), osl::SimpleState::pieceOf(), osl::Piece::square(), and table.

Referenced by eval().

## index()

template<bool Opening>

int osl::eval::ml::MajorGoldSilverAttacked< Opening >::index | ( | const NumEffectState & | state,
|  | Piece | piece )

static

Definition at line 148 of file majorPiece.cc.

References osl::Piece::owner(), osl::Piece::ptype(), osl::PTYPE_SIZE, and osl::SimpleState::turn().

Referenced by evalOne().

## setUp()

template<bool Opening>

void osl::eval::ml::MajorGoldSilverAttacked< Opening >::setUp | ( | const Weights & | weights | ) |

static

Definition at line 138 of file majorPiece.cc.

## Member Data Documentation

## table

template<bool Opening>

osl::CArray< int, 32 > osl::eval::ml::MajorGoldSilverAttacked< Opening >::table

static private

Definition at line 145 of file majorPiece.h.

Referenced by evalOne().

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc